### Method

# Gtk.FlowBox.insert

#### Declaration [src]

    void
    gtk_flow_box_insert (
      GtkFlowBox* box,
      GtkWidget* widget,
      int position
    )

#### Description [src]

Inserts the `widget` into `box` at `position`.

If a sort function is set, the widget will actually be inserted at the calculated position.

If `position` is -1, or larger than the total number of children in the `box`, then the `widget` will be appended to the end.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` to add
| Ownership is not transferred to the callee
`position` | `int`
| the position to insert `child` in